Subject: bug#3430: 23.0.94; cannot enable two minor modes in .dir-locals.el

From: Leo <[email-masked]>
Date: Thu, 18 Jun 2009 11:38:48 +0100

On 2009-06-18 03:29 +0100, Glenn Morris wrote:
>> Are you sure they are the same? If you put two minor modes at the end of
>> a file in the local variables section, it works without any problem.
>
> OK; unimagining, this is because dir-locals-collect-mode-variables has
> the effect of filtering the dir-locals variables list so that only one
> value is allowed for any given key, and the last one wins.

Thank you for your interest and attempt in fixing this bug.

It seems to me that is done in dir-locals-collect-variables. Filtering
out the duplications is fine for variables that can only have one value
but not all variables fall into that. For example, there is 'mode' and
'eval' and possibly others.

-- 
Leo's Emacs uptime: 7 days, 20 hours, 41 minutes, 23 seconds